## kf6-syntax-highlighting 6.6.0

=== debian/changelog ===
kf6-syntax-highlighting (6.6.0-2+rpi1) trixie-staging; urgency=medium

  * Update symbols file for raspbian.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 03 Dec 2024 17:27:17 +0000

kf6-syntax-highlighting (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 20:39:47 +0100

kf6-syntax-highlighting (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.6.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:21 +0200

kf6-syntax-highlighting (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6, and drop old
    include path added via gcc options.
  * CI: update/simplify configuration.
  * Drop mipsel bits, as that architecture was discontinued.
  * Update symbols file from the logs of buildds.
  * Enable running the tests suite at build time, which should work fine.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 13:27:37 +0200

kf6-syntax-highlighting (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:02 +0200

kf6-syntax-highlighting (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:21 +0200
