=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libxerces-c-dev,
                libxkbcommon-dev,
                perl:any,
@@ -41,6 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
+         qml6-module-org-kde-syntaxhighlighting (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
@@ -103,6 +105,7 @@
 Multi-Arch: same
 Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: Syntax highlighting Engine (QML module)
  This is a stand-alone implementation of the Kate syntax
