## kf6-syntax-highlighting 6.10.0

=== debian/changelog ===
kf6-syntax-highlighting (6.10.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix FTCBFS: Missing B-D on native libraries used by
    native_katehighlightingindexer, thx to Helmut Grohne (Closes:
    #1095181).

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 19:13:28 +0100

kf6-syntax-highlighting (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:23:56 +0100

kf6-syntax-highlighting (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:01:26 +0100

kf6-syntax-highlighting (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:29 -0600
