=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libxerces-c-dev,
                libxkbcommon-dev,
                perl:any,
                pkgconf,
                qt6-base-dev (>= 6.6.0~),
-               qt6-base-dev:native,
+               qt6-base-dev:native (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                qt6-tools-dev:native,
